Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706830 - net-analyzer/authforce-0.9.9-r2 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/authforce-0.9.9-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Mair-Keimberger (iamnr3)
URL:
Whiteboard:
Keywords: PATCH, PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:18 UTC by Toralf Förster
Modified: 2020-02-07 14:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.57 KB, text/plain)
2020-01-28 18:18 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,84.75 KB, text/plain)
2020-01-28 18:18 UTC, Toralf Förster
Details
environment (environment,19.70 KB, text/plain)
2020-01-28 18:18 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.09 KB, application/x-bzip)
2020-01-28 18:18 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.75 KB, application/x-bzip)
2020-01-28 18:18 UTC, Toralf Förster
Details
net-analyzer:authforce-0.9.9-r2:20200127-235204.log (net-analyzer:authforce-0.9.9-r2:20200127-235204.log,13.00 KB, text/plain)
2020-01-28 18:18 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,9.14 KB, application/x-bzip)
2020-01-28 18:18 UTC, Toralf Förster
Details
files/authforce-0.9.9-fno-common.patch (authforce-0.9.9-fno-common.patch,264 bytes, patch)
2020-02-06 12:40 UTC, Jeroen Roovers
Details | Diff
authforce-0.9.9-fix-parsing-of-sample-config-file.patch (authforce-0.9.9-fix-parsing-of-sample-config-file.patch,1.48 KB, patch)
2020-02-06 16:09 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff
authforce-0.9.9-fix-submit_dummy_list-re-declaration.patch (authforce-0.9.9-fix-submit_dummy_list-re-declaration.patch,674 bytes, patch)
2020-02-06 16:09 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff
authforce-0.9.9-fixes-for-Wall-warnings.patch (authforce-0.9.9-fixes-for-Wall-warnings.patch,2.80 KB, patch)
2020-02-06 16:10 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:18:00 UTC
      |                            ^~
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../intl -DLOCALEDIR=\"/usr/share/locale\"    -O2 -pipe -march=native -fno-common -c misc.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../intl -DLOCALEDIR=\"/usr/share/locale\"    -O2 -pipe -march=native -fno-common -c signal.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o authforce  config.o debug.o extract.o files.o http.o main.o methods.o misc.o signal.o  -lreadline -lncurses 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: debug.o:(.bss+0x0): multiple definition of `submit_dummy_list'; config.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: extract.o:(.bss+0x0): multiple definition of `submit_dummy_list'; config.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 23:06:20 +0000

emerge -qpvO net-analyzer/authforce
[ebuild  N    ] net-analyzer/authforce-0.9.9-r2  USE="nls -curl"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:18:03 UTC
Created attachment 605988 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:18:06 UTC
Created attachment 605990 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:18:08 UTC
Created attachment 605992 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:18:11 UTC
Created attachment 605994 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:18:15 UTC
Created attachment 605996 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:18:19 UTC
Created attachment 605998 [details]
net-analyzer:authforce-0.9.9-r2:20200127-235204.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:18:22 UTC
Created attachment 606000 [details]
temp.tbz2
Comment 8 Michael Mair-Keimberger (iamnr3) 2020-02-05 14:55:36 UTC
thanks for the report. I've sent the author of the software a mail regarding this issue. As fixing this would be out of my skillset i hope he can help here.
Comment 9 Jeroen Roovers gentoo-dev 2020-02-06 12:40:38 UTC
Created attachment 612080 [details, diff]
files/authforce-0.9.9-fno-common.patch
Comment 10 Michael Mair-Keimberger (iamnr3) 2020-02-06 16:08:40 UTC
Thanks Jeroen for the patch.
However i also got a reply from the Author, he also send me a patch with the same changes and with some further improvements. (Unfortunately he won't make a proper release.)
I'll attach the patches here.
Comment 11 Michael Mair-Keimberger (iamnr3) 2020-02-06 16:09:31 UTC
Created attachment 612088 [details, diff]
authforce-0.9.9-fix-parsing-of-sample-config-file.patch
Comment 12 Michael Mair-Keimberger (iamnr3) 2020-02-06 16:09:57 UTC
Created attachment 612090 [details, diff]
authforce-0.9.9-fix-submit_dummy_list-re-declaration.patch
Comment 13 Michael Mair-Keimberger (iamnr3) 2020-02-06 16:10:21 UTC
Created attachment 612092 [details, diff]
authforce-0.9.9-fixes-for-Wall-warnings.patch
Comment 14 Larry the Git Cow gentoo-dev 2020-02-07 14:25:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d77e62554036e350d01a639f8a3980f8bb4e8a58

commit d77e62554036e350d01a639f8a3980f8bb4e8a58
Author:     Michael Mair-Keimberger <m.mairkeimberger@gmail.com>
AuthorDate: 2020-02-06 16:03:08 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-02-07 14:18:05 +0000

    net-analyzer/authforce: fix for bug 706830 and minor improvements
    
    Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com>
    Closes: https://bugs.gentoo.org/706830
    Closes: https://github.com/gentoo/gentoo/pull/14582
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 net-analyzer/authforce/authforce-0.9.9-r3.ebuild   |  47 +++++++++
 ...e-0.9.9-fix-parsing-of-sample-config-file.patch |  54 ++++++++++
 ....9.9-fix-submit_dummy_list-re-declaration.patch |  25 +++++
 .../authforce-0.9.9-fixes-for-Wall-warnings.patch  | 111 +++++++++++++++++++++
 4 files changed, 237 insertions(+)